List project graders
curl --request GET \
--url https://app.egma.ai/v1/graders \
--header 'Authorization: Bearer <token>'{
"graders": [
{
"id": "<string>",
"projectId": "<string>",
"graderDefinitionId": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"modalities": [
"chat"
],
"scopeEditable": true,
"removable": true,
"scope": {
"simulations": [
{
"kind": "all"
}
],
"production": {
"samplePercent": 50.5
}
},
"settings": {},
"passThreshold": 0.5,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Graders
List project graders
Returns active project policies, including scope, settings, and individual pass thresholds. Use /v1/grader-library to find definitions that are not yet active in this project.
GET
/
v1
/
graders
List project graders
curl --request GET \
--url https://app.egma.ai/v1/graders \
--header 'Authorization: Bearer <token>'{
"graders": [
{
"id": "<string>",
"projectId": "<string>",
"graderDefinitionId": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"modalities": [
"chat"
],
"scopeEditable": true,
"removable": true,
"scope": {
"simulations": [
{
"kind": "all"
}
],
"production": {
"samplePercent": 50.5
}
},
"settings": {},
"passThreshold": 0.5,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.